Package org.apache.lucene.queryparser.flexible.core.builders

# Interface QueryBuilder

All Known Subinterfaces:
  `StandardQueryBuilder`

All Known Implementing Classes:
  `AnyQueryNodeBuilder`, `BooleanQueryNodeBuilder`, `BoostQueryNodeBuilder`, `DummyQueryNodeBuilder`, `FieldQueryNodeBuilder`, `FuzzyQueryNodeBuilder`, `GroupQueryNodeBuilder`, `IntervalQueryNodeBuilder`, `MatchAllDocsQueryNodeBuilder`, `MatchNoDocsQueryNodeBuilder`, `MinShouldMatchNodeBuilder`, `ModifierQueryNodeBuilder`, `MultiPhraseQueryNodeBuilder`, `PhraseQueryNodeBuilder`, `PointRangeQueryNodeBuilder`, `PrefixWildcardQueryNodeBuilder`, `QueryTreeBuilder`, `RegexpQueryNodeBuilder`, `SlopQueryNodeBuilder`, `StandardQueryTreeBuilder`, `SynonymQueryNodeBuilder`, `TermRangeQueryNodeBuilder`, `WildcardQueryNodeBuilder`

public interface QueryBuilder
This interface is used by implementors classes that builds some kind of object from a query tree.

See Also:
  - `QueryTreeBuilder`

## Method Summary

Modifier and Type
Method
Description
`Object`
`build(QueryNode queryNode)`
Builds some kind of object from a query tree.

## Method Details

### build

Object build(QueryNode queryNode) throws QueryNodeException
Builds some kind of object from a query tree.

Parameters:
  `queryNode` - the query tree root node
Returns:
  some object generated from the query tree
Throws:
  `QueryNodeException`